org.apache.lucene.index

## Class BaseTermVectorsFormatTestCase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.index.BaseTermVectorsFormatTestCase

-     public abstract class BaseTermVectorsFormatTestCase
      extends LuceneTestCase

  Base class aiming at testing `term vectors formats`. To test a new format, all you need is to register a new `Codec` which uses it and extend this class and override `getCodec()`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BaseTermVectorsFormatTestCase.Options` A combination of term vectors options.
    `protected class` | `BaseTermVectorsFormatTestCase.RandomDocument`
    `protected class` | `BaseTermVectorsFormatTestCase.RandomDocumentFactory`
    `static class` | `BaseTermVectorsFormatTestCase.RandomTokenStream` Produces a random TokenStream based off of provided terms.

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTermVectorsFormatTestCase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Document` | `addId(Document doc, String id)`
    `protected void` | `addRandomFields(Document doc)` Add random fields to the provided document.
    `protected <D extends Directory> D` | `applyCreatedVersionMajor(D d)` Set the created version of the given `Directory` and return it.
    `protected void` | `assertEquals(BaseTermVectorsFormatTestCase.RandomDocument doc, Fields fields)`
    `protected void` | `assertEquals(BaseTermVectorsFormatTestCase.RandomTokenStream tk, FieldType ft, Terms terms)`
    `protected int` | `docID(IndexReader reader, String id)`
    `protected static boolean` | `equals(Object o1, Object o2)`
    `protected Collection<String>` | `excludedExtensionsFromByteCounts()` Return the list of extensions that should be excluded from byte counts when comparing indices that store the same content.
    `protected FieldType` | `fieldType(BaseTermVectorsFormatTestCase.Options options)`
    `protected abstract Codec` | `getCodec()` Returns the codec to run tests against
    `protected int` | `getCreatedVersionMajor()` Returns the major version that this codec is compatible with.
    `protected DirectoryReader` | `maybeWrapWithMergingReader(DirectoryReader r)`
    `protected boolean` | `mergeIsStable()`
    `protected BaseTermVectorsFormatTestCase.Options` | `randomOptions()`
    `void` | `setUp()` For subclasses to override.
    `protected boolean` | `shouldTestMergeInstance()` Returns `false` if only the regular fields reader should be tested, and `true` if only the merge instance should be tested.
    `void` | `tearDown()` For subclasses to override.
    `void` | `testClone()`
    `void` | `testHighFreqs()`
    `void` | `testLotsOfFields()`
    `void` | `testMerge()`
    `void` | `testMergeStability()` The purpose of this test is to make sure that bulk merge doesn't accumulate useless data over runs.
    `void` | `testMixedOptions()`
    `void` | `testMultiClose()` Calls close multiple times on closeable codec apis
    `void` | `testPostingsEnumAll()`
    `void` | `testPostingsEnumFreqs()`
    `void` | `testPostingsEnumOffsets()`
    `void` | `testPostingsEnumOffsetsWithoutPositions()`
    `void` | `testPostingsEnumPayloads()`
    `void` | `testPostingsEnumPositions()`
    `void` | `testRamBytesUsed()` Test the accuracy of the ramBytesUsed estimations.
    `void` | `testRandom()`
    `void` | `testRandomExceptions()` Tests exception handling on write and openInput/createOutput
    `void` | `testRareVectors()`
    `protected Set<BaseTermVectorsFormatTestCase.Options>` | `validOptions()`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseTermVectorsFormatTestCase

          public BaseTermVectorsFormatTestCase()

  - ### Method Detail

    - #### validOptions

          protected Set<BaseTermVectorsFormatTestCase.Options> validOptions()

    - #### randomOptions

          protected BaseTermVectorsFormatTestCase.Options randomOptions()

    - #### fieldType

          protected FieldType fieldType(BaseTermVectorsFormatTestCase.Options options)

    - #### addRandomFields

          protected void addRandomFields(Document doc)

      Add random fields to the provided document.

    - #### assertEquals

          protected void assertEquals(BaseTermVectorsFormatTestCase.RandomDocument doc,
                                      Fields fields)
                               throws IOException

      Throws:
        `IOException`

    - #### equals

          protected static boolean equals(Object o1,
                                          Object o2)

    - #### assertEquals

          protected void assertEquals(BaseTermVectorsFormatTestCase.RandomTokenStream tk,
                                      FieldType ft,
                                      Terms terms)
                               throws IOException

      Throws:
        `IOException`

    - #### addId

          protected Document addId(Document doc,
                                   String id)

    - #### docID

          protected int docID(IndexReader reader,
                              String id)
                       throws IOException

      Throws:
        `IOException`

    - #### testRareVectors

          public void testRareVectors()
                               throws IOException

      Throws:
        `IOException`

    - #### testHighFreqs

          public void testHighFreqs()
                             throws IOException

      Throws:
        `IOException`

    - #### testLotsOfFields

          public void testLotsOfFields()
                                throws IOException

      Throws:
        `IOException`

    - #### testMixedOptions

          public void testMixedOptions()
                                throws IOException

      Throws:
        `IOException`

    - #### testRandom

          public void testRandom()
                          throws IOException

      Throws:
        `IOException`

    - #### testMerge

          public void testMerge()
                         throws IOException

      Throws:
        `IOException`

    - #### testClone

          public void testClone()
                         throws IOException,
                                InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### testPostingsEnumFreqs

          public void testPostingsEnumFreqs()
                                     throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumPositions

          public void testPostingsEnumPositions()
                                         throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumOffsets

          public void testPostingsEnumOffsets()
                                       throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumOffsetsWithoutPositions

          public void testPostingsEnumOffsetsWithoutPositions()
                                                       throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumPayloads

          public void testPostingsEnumPayloads()
                                        throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumAll

          public void testPostingsEnumAll()
                                   throws Exception

      Throws:
        `Exception`

    - #### getCodec

          protected abstract Codec getCodec()

      Returns the codec to run tests against

    - #### getCreatedVersionMajor

          protected int getCreatedVersionMajor()

      Returns the major version that this codec is compatible with.

    - #### applyCreatedVersionMajor

          protected final <D extends Directory> D applyCreatedVersionMajor(D d)
                                                                    throws IOException

      Set the created version of the given `Directory` and return it.
      Throws:
        `IOException`

    - #### setUp

          public void setUp()
                     throws Exception

      Description copied from class: `LuceneTestCase`
      For subclasses to override. Overrides must call `super.setUp()`.
      Overrides:
        `setUp` in class `LuceneTestCase`
      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Description copied from class: `LuceneTestCase`
      For subclasses to override. Overrides must call `super.tearDown()`.
      Overrides:
        `tearDown` in class `LuceneTestCase`
      Throws:
        `Exception`

    - #### excludedExtensionsFromByteCounts

          protected Collection<String> excludedExtensionsFromByteCounts()

      Return the list of extensions that should be excluded from byte counts when comparing indices that store the same content.

    - #### testMergeStability

          public void testMergeStability()
                                  throws Exception

      The purpose of this test is to make sure that bulk merge doesn't accumulate useless data over runs.
      Throws:
        `Exception`

    - #### mergeIsStable

          protected boolean mergeIsStable()

    - #### testRamBytesUsed

          @LuceneTestCase.Slow
          public void testRamBytesUsed()
                                                     throws IOException

      Test the accuracy of the ramBytesUsed estimations.
      Throws:
        `IOException`

    - #### testMultiClose

          public void testMultiClose()
                              throws IOException

      Calls close multiple times on closeable codec apis
      Throws:
        `IOException`

    - #### testRandomExceptions

          public void testRandomExceptions()
                                    throws Exception

      Tests exception handling on write and openInput/createOutput
      Throws:
        `Exception`

    - #### shouldTestMergeInstance

          protected boolean shouldTestMergeInstance()

      Returns `false` if only the regular fields reader should be tested, and `true` if only the merge instance should be tested.

    - #### maybeWrapWithMergingReader

          protected final DirectoryReader maybeWrapWithMergingReader(DirectoryReader r)
                                                              throws IOException

      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.